target=buy 3coins 4coins 6coins

#include "header.inc"
#include "lang_titles.inc"
#include "lang.inc"

#if defined TARGET_buy
\integer{tot=15}
\integer{cmin=1}
\integer{cmax=10}
\text{pay=\name_atmost 10}
\integer{goodcnt=random(5..9)}
#endif

#if defined TARGET_3coins
\integer{tot=random(6..9)}
\integer{cmin=3}
\integer{cmax=3}
\text{pay=\name_exactly 3}
\integer{goodcnt=3}
#endif

#if defined TARGET_4coins
\integer{tot=random(7..10)}
\integer{cmin=4}
\integer{cmax=4}
\text{pay=\name_exactly 4}
\integer{goodcnt=4}
#endif

#if defined TARGET_6coins
\integer{tot=random(10..14)}
\integer{cmin=6}
\integer{cmax=6}
\text{pay=\name_exactly 6}
\integer{goodcnt=6}
#endif

\integer{size=70}
\text{obj=randitem(\name_items_list)}

\text{prim=shuffle(1,2,2,5,5,10,10,20,20,50,100,100,200,200)}
\text{prim=item(1..\goodcnt,\prim)}
\real{sum=wims(sum x for x in \prim)/100}
\text{tmp=\sum}
#include "conversion.inc"
\text{sumlettre=\tmplettre}

\text{redund=wims(makelist x,x for x in 1,2,5,10,20,50,100,200)}
\text{redund=item(1..\tot-\goodcnt,shuffle(\redund))}
\text{list1=shuffle(\prim,\redund)}
\text{sizepx=wims(nospace \size px)}
\text{leftstr=<img src="\imagedir}
\text{rightstr=.png" style="height:\sizepx" alt="">}
\text{list=wims(makelist \leftstr/t\rightstr for t in \list1)}

\statement{\name_statement1 \obj \name_statement2 \sumlettre.
\name_statement3 \tot \name_pieces \name_below.
\name_statement4 \pay \name_pieces.

<div class="wimscenter">
\embed{reply 1,\size x\size x \cmax+1}
</div>
}

\answer{\name_lespieces}{\rep;\list}{type=dragfill}

\text{r=wims(replace internal \leftstr/ by in \rep)}
\text{r=wims(replace internal \rightstr by in \r)}
\text{r=wims(nonempty items \r)}
\integer{coincnt=items(\r)}
\real{rtot=wims(sum x for x in \r)/100}

\condition{\name_condition}{\coincnt>=\cmin and \coincnt<=\cmax and \rtot=\sum}
\text{tmp=\rtot}
#include "conversion.inc"
\text{rtotlettre=\tmplettre}
\feedback{\rtot!=\sum}{<p>\name_feedback1 \rtotlettre, \name_instead \sumlettre !</p>}
\feedback{\coincnt<\cmin}{<p>\name_lessthan \cmin \name_pieces !</p>}
\feedback{\coincnt>\cmax}{<p>\name_morethan
 \cmax \name_pieces !</p>}
